### Function

# Gio Action print_detailed_name

since: 2.38

#### Declaration

    gchar*
    g_action_print_detailed_name (
      const gchar* action_name,
      GVariant* target_value
    )

#### Description

Formats a detailed action name from `action_name` and `target_value`.

It is an error to call this function with an invalid action name.

This function is the opposite of g_action_parse_detailed_name(). It will produce a string that can be parsed back to the `action_name` and `target_value` by that function.

See that function for the types of strings that will be printed by this function.

Available since: 2.38

#### Parameters

`action_name`

  Type: `const gchar*`

  A valid action name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`target_value`

  Type: `GVariant`

  A `GVariant` target value, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

A detailed format string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.